%define	nam	libgtop
%define ver		1.0.12
%define rel		3
%define prefix	/usr
%define	serial	2002010801

Summary: The LibGTop library
Name: %{nam}
Version: %{ver}
Release: %{rel}
Group: System Environment/Libraries
License: LGPL
Source0: ftp://ftp.gnome.org/pub/GNOME/stable/sources/libgtop/%{name}-%{ver}.tar.gz
Source1: libgtop-ja.po
Patch0: libgtop-1.0.12-printf.patch
Patch1: libgtop-1.0.12-Kernel-2.4.patch
Patch2: libgtop-1.0.12-remote-overflow.patch
URL: http://www.home-of-linux.org/gnome/libgtop/
Serial: %{serial}
BuildRoot: /var/tmp/%{name}-%{version}-root
Requires: bc gawk perl glib >= 1.2.0
Buildrequires: bc gawk perl glib-devel >= 1.2.0
PreReq: ldconfig, bash, /sbin/install-info
#NoSource: 0


%description
A library that fetches information about the running system such as CPU
and memory useage, active processes and more.

On Linux systems, this information is taken directly from the /proc
filesystem while on other systems a server is used to read that
information from other /dev/kmem, among others.

%package devel
Summary: Libraries, includes and other files to develop LibGTop applications.
Group: Development/Libraries
Requires: libgtop = %{PACKAGE_VERSION}

%description devel
Install this package if you wish to develop applications that access
information on system statistics such as CPU and memory usage.

%package examples
Summary: These are examples for LibGTop, a library which retrieves information about your system, such as CPU and memory usage.
Group: System Environment/Libraries
Requires: libgtop = %{PACKAGE_VERSION}

%description examples
Install this package for a set of programs that are examples of developing
with libgtop.


%changelog
* Tue Jan 8 2002 Go Taniguchi <go@turbolinux.co.jp>
- security: libgtop_daemon Remote Buffer Overflow Vulnerability
   added remote-overflow.patch

* Thu Jul 12 2001 Takeshi Aihana <aihana@turbolinux.co.jp>
- add patch for Kernel-2.4.x (isdn.h)

* Fri Jun 22 2001 TAKEDA Hirofumi <takepin@turbolinux.co.jp>
- Added patch to undef printf macro (port from 1.0.10)

* Wed Mar  7 2001 Takeshi Aihana <aihana@turbolinux.co.jp>
- upto v1.0.12
- updated ja.po
- clean up %files sectcion

* Mon Feb 26 2001 Takeshi Aihana <aihana@turbolinux.co.jp>
- updated to v1.0.11 for GNOME 1.4beta

* Thu Dec 14 2000 Takeshi Aihana <aihana@turbolinux.co.jp>
- updated to v1.0.10

* Thu Jul 27 2000 Takeshi Aihana <aihana@turbolinux.co.jp>
- fixed %files section and alpha arch

* Tue May 30 2000 Takeshi Aihana <aihana@turbolinux.co.jp>
- upto 1.0.9 as stable version

* Thu Mar 30 2000 Takeshi Aihana <aihana@turbolinux.co.jp>
- updated to 1.0.7 as stable version

*Wed Jan 26 2000 Takeshi Aihana <aihana@turbolinux.co.jp>
- Rebuild for TurboLinux Workstation 6.0J

* Wed Oct 27 1999 Go taniguchi <taniguchi@arcbrain.co.jp>
- version 1.0.6

* Thu Oct 21 1999 Go taniguchi <taniguchi@arcbrain.co.jp>
- Rebuild for TurboLinuxJ

* Wed Sep 08 1999 Elliot Lee <sopwith@redhat.com>
- Update to 1.0.2

* Tue Aug 19 1998 Martin Baulig <martin@home-of-linux.org>

- released LibGTop 0.25.0

* Sun Aug 16 1998 Martin Baulig <martin@home-of-linux.org>

- first version of the RPM
#--------------------------------------------------
%prep
rm -rf $RPM_BUILD_ROOT


%setup -n %{name}-%{ver}
%patch0 -p1 -b .printf
%patch1 -p1 -b .isdn
%patch2 -p1 -b .overflow
install -c -m644 %{SOURCE1} po/ja.po


%build
libtoolize --copy --force
if [ ! -f ./configure ] ; then
  CFLAGS="$RPM_OPT_FLAGS" \
  ./autogen.sh --prefix=%{prefix} --infodir=%{_infodir} --without-linux-table       \
               --with-libgtop-inodedb --with-libgtop-examples \
               --with-libgtop-guile --with-libgtop-smp
else
  CFLAGS="$RPM_OPT_FLAGS" \
  ./configure  --prefix=%{prefix} --infodir=%{_infodir}	--without-linux-table       \
               --with-libgtop-inodedb --with-libgtop-examples \
               --with-libgtop-guile --with-libgtop-smp 
fi
if [ "$SMP" != "" ]; then
  make MAKE="make -j$SMP"
else
  make
fi


%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%{prefix} infodir=$RPM_BUILD_ROOT%{_infodir} install
strip $RPM_BUILD_ROOT%{prefix}/bin/* || :

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL LIBGTOP-VERSION NEWS
%doc README RELNOTES-0.25 RELNOTES-1.0 RELNOTES-1.0.x
%doc copyright.txt src/inodedb/README.inodedb support/README-gnome
%{prefix}/bin/*
%{prefix}/lib/lib*.so.*
%{prefix}/share/locale/*/LC_MESSAGES/libgtop.mo
%{_infodir}/libgtop.info*

%files devel
%defattr(-,root,root)
%{prefix}/lib/lib*.so
%{prefix}/lib/*a
%{prefix}/lib/*.sh
%{prefix}/lib/*.def
%{prefix}/include/*.h
%{prefix}/include/glibtop/*.h

%files examples
%defattr(-,root,root)
%{prefix}/libexec/libgtop/*
